package com.docus.server.service.impl;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.convert.SchCollectorConfigConvert;
import com.docus.server.dto.scheduling.management.schcollectorconfig.AddSchCollectorConfigDTO;
import com.docus.server.dto.scheduling.management.schcollectorconfig.DeleteSchCollectorConfigDTO;
import com.docus.server.dto.scheduling.management.schcollectorconfig.EditSchCollectorConfigDTO;
import com.docus.server.entity.scheduling.management.SchCollectorConfig;
import com.docus.server.infrastructure.dao.ISchCollectorConfigDao;
import com.docus.server.service.ISchCollectorConfigService;
import com.docus.server.vo.scheduling.management.schcollectorconfig.SchCollectorConfigVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 采集器配置 服务实现类
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Service
public class SchCollectorConfigServiceImpl implements ISchCollectorConfigService {
    @Resource
    private ISchCollectorConfigDao iSchCollectorConfigDao;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public SchCollectorConfigVO findById(String id) {
        return SchCollectorConfigConvert.INSTANCE.convertVO(iSchCollectorConfigDao.findById(id));
    }

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<SchCollectorConfigVO> search(SearchDTO searchDTO) {
        return SchCollectorConfigConvert.INSTANCE.convertVO(iSchCollectorConfigDao.search(searchDTO));
    }

    /**
     * 新增
     *
     * @param addSchCollectorConfigDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(AddSchCollectorConfigDTO addSchCollectorConfigDTO) {
        SchCollectorConfig schCollectorConfig = SchCollectorConfigConvert.INSTANCE.convertDO(addSchCollectorConfigDTO);
        return iSchCollectorConfigDao.add(schCollectorConfig);
    }

    /**
     * 编辑
     *
     * @param editSchCollectorConfigDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(EditSchCollectorConfigDTO editSchCollectorConfigDTO) {
        SchCollectorConfig schCollectorConfig = SchCollectorConfigConvert.INSTANCE.convertDO(editSchCollectorConfigDTO);
        return iSchCollectorConfigDao.edit(schCollectorConfig);
    }

    /**
     * 批量删除
     *
     * @param deleteSchCollectorConfigDTO 删除参数
     * @return 成功或失败
     */
    @Override
    public int delete(DeleteSchCollectorConfigDTO deleteSchCollectorConfigDTO) {
        return iSchCollectorConfigDao.delete(deleteSchCollectorConfigDTO.getIds());
    }
}

