package com.docus.server.api.scheduling.management;

import com.docus.server.dto.scheduling.management.schcollectorversionfile.AddSchCollectorVersionFileDTO;
import com.docus.server.dto.scheduling.management.schcollectorversionfile.EditSchCollectorVersionFileDTO;
import com.docus.server.dto.scheduling.management.schcollectorversionfile.DeleteSchCollectorVersionFileDTO;
import com.docus.server.vo.scheduling.management.schcollectorversionfile.SchCollectorVersionFileVO;
import com.docus.server.entity.scheduling.management.SchCollectorVersionFile;
import org.springframework.cloud.openfeign.FeignClient;
import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import java.util.List;


/**
 * 采集器版本列表更新包管理 API
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Api(value = "采集器版本列表更新包管理任务管理接口", tags = "采集器版本列表更新包管理任务管理接口")
@FeignClient(value = "collector-scheduling-management", contextId = "collector-scheduling-management.SchCollectorVersionFileApi")
@RequestMapping("/sch/collectorVersionFile")
public interface SchCollectorVersionFileApi {

    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    @ApiOperation("按主键查询")
    @GetMapping("/find/{id}")
    SchCollectorVersionFileVO findById(@PathVariable(value = "id") String id);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @ApiOperation("关键字搜索")
    @PostMapping("/search")
    PageResult<SchCollectorVersionFileVO> search(@RequestBody SearchDTO searchDTO);

    /**
     * 新增
     *
     * @param addSchCollectorVersionFileDTO 新增参数
     * @return 成功或失败
     */
    @ApiOperation("新增")
    @PostMapping("/add")
    boolean add(@RequestBody AddSchCollectorVersionFileDTO addSchCollectorVersionFileDTO);

    /**
     * 编辑
     *
     * @param editSchCollectorVersionFileDTO 编辑参数
     * @return 成功或失败
     */
    @ApiOperation("编辑")
    @PutMapping("/edit")
    boolean edit(@RequestBody EditSchCollectorVersionFileDTO editSchCollectorVersionFileDTO);

    /**
     * 批量删除
     *
     * @param deleteSchCollectorVersionFileDTO 删除参数
     * @return 成功或失败
     */
    @ApiOperation("批量删除")
    @DeleteMapping("/delete")
    int delete(@RequestBody DeleteSchCollectorVersionFileDTO deleteSchCollectorVersionFileDTO);
}
