package com.docus.server.api.scheduling.management;

import com.docus.server.dto.scheduling.management.schcollectorversionlog.AddSchCollectorVersionLogDTO;
import com.docus.server.dto.scheduling.management.schcollectorversionlog.EditSchCollectorVersionLogDTO;
import com.docus.server.dto.scheduling.management.schcollectorversionlog.DeleteSchCollectorVersionLogDTO;
import com.docus.server.vo.scheduling.management.schcollectorversionlog.SchCollectorVersionLogVO;
import com.docus.server.entity.scheduling.management.SchCollectorVersionLog;
import org.springframework.cloud.openfeign.FeignClient;
import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import java.util.List;


/**
 * 采集器版本更新日志管理 API
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Api(value = "采集器版本更新日志管理任务管理接口", tags = "采集器版本更新日志管理任务管理接口")
@FeignClient(value = "collector-scheduling-management", contextId = "collector-scheduling-management.SchCollectorVersionLogApi")
@RequestMapping("/sch/collectorVersionLog")
public interface SchCollectorVersionLogApi {

    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    @ApiOperation("按主键查询")
    @GetMapping("/find/{id}")
    SchCollectorVersionLogVO findById(@PathVariable(value = "id") String id);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @ApiOperation("关键字搜索")
    @PostMapping("/search")
    PageResult<SchCollectorVersionLogVO> search(@RequestBody SearchDTO searchDTO);

    /**
     * 新增
     *
     * @param addSchCollectorVersionLogDTO 新增参数
     * @return 成功或失败
     */
    @ApiOperation("新增")
    @PostMapping("/add")
    boolean add(@RequestBody AddSchCollectorVersionLogDTO addSchCollectorVersionLogDTO);

    /**
     * 编辑
     *
     * @param editSchCollectorVersionLogDTO 编辑参数
     * @return 成功或失败
     */
    @ApiOperation("编辑")
    @PutMapping("/edit")
    boolean edit(@RequestBody EditSchCollectorVersionLogDTO editSchCollectorVersionLogDTO);

    /**
     * 批量删除
     *
     * @param deleteSchCollectorVersionLogDTO 删除参数
     * @return 成功或失败
     */
    @ApiOperation("批量删除")
    @DeleteMapping("/delete")
    int delete(@RequestBody DeleteSchCollectorVersionLogDTO deleteSchCollectorVersionLogDTO);
}
