package com.docus.server.api.scheduling.management;

import com.docus.server.dto.scheduling.management.schsystemparams.AddSchSystemParamsDTO;
import com.docus.server.dto.scheduling.management.schsystemparams.EditSchSystemParamsDTO;
import com.docus.server.dto.scheduling.management.schsystemparams.DeleteSchSystemParamsDTO;
import com.docus.server.vo.scheduling.management.schsystemparams.SchSystemParamsVO;
import com.docus.server.entity.scheduling.management.SchSystemParams;
import org.springframework.cloud.openfeign.FeignClient;
import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import java.util.List;


/**
 * 系统参数表 API
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Api(value = "系统参数表任务管理接口", tags = "系统参数表任务管理接口")
@FeignClient(value = "collector-scheduling-management", contextId = "collector-scheduling-management.SchSystemParamsApi")
@RequestMapping("/sch/systemParams")
public interface SchSystemParamsApi {

    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    @ApiOperation("按主键查询")
    @GetMapping("/find/{id}")
    SchSystemParamsVO findById(@PathVariable(value = "id") String id);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @ApiOperation("关键字搜索")
    @PostMapping("/search")
    PageResult<SchSystemParamsVO> search(@RequestBody SearchDTO searchDTO);

    /**
     * 新增
     *
     * @param addSchSystemParamsDTO 新增参数
     * @return 成功或失败
     */
    @ApiOperation("新增")
    @PostMapping("/add")
    boolean add(@RequestBody AddSchSystemParamsDTO addSchSystemParamsDTO);

    /**
     * 编辑
     *
     * @param editSchSystemParamsDTO 编辑参数
     * @return 成功或失败
     */
    @ApiOperation("编辑")
    @PutMapping("/edit")
    boolean edit(@RequestBody EditSchSystemParamsDTO editSchSystemParamsDTO);

    /**
     * 批量删除
     *
     * @param deleteSchSystemParamsDTO 删除参数
     * @return 成功或失败
     */
    @ApiOperation("批量删除")
    @DeleteMapping("/delete")
    int delete(@RequestBody DeleteSchSystemParamsDTO deleteSchSystemParamsDTO);
}
